Bug 1290542 - Review Request: perl-Menlo - A CPAN client
Review Request: perl-Menlo - A CPAN client
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On: 1290499 1290537
Blocks: 1290551
  Show dependency treegraph
 
Reported: 2015-12-10 13:29 EST by Petr Šabata
Modified: 2016-02-16 10:27 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Menlo-1.9001-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 10:27:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2015-12-10 13:29:08 EST
Spec URL: https://psabata.fedorapeople.org/pkgs/perl-Menlo/perl-Menlo.spec
SRPM URL: https://psabata.fedorapeople.org/pkgs/perl-Menlo/perl-Menlo-1.9001-1.fc23.src.rpm
Description:
Menlo is a code name for cpanm 2.0, developed with the goal to
replace cpanm and its backend with a more flexible, extensible and
easier to use APIs.
Fedora Account System Username: psabata
Comment 1 Jitka Plesnikova 2015-12-14 10:14:37 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Menlo-1.9001-1.fc24.noarch.rpm | sort | uniq -c
      1 /usr/bin/env
      1 git
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(:VERSION) >= 5.8.1
      1 perl(Archive::Tar)
      1 perl(Archive::Zip)
      1 perl(CPAN::Common::Index) >= 0.006
      1 perl(CPAN::Common::Index::LocalPackage)
      1 perl(CPAN::Common::Index::Mirror)
      1 perl(CPAN::DistnameInfo)
      1 perl(CPAN::Meta) >= 2.132830
      1 perl(CPAN::Meta::Check)
      1 perl(CPAN::Meta::Requirements)
      1 perl(CPAN::Meta::YAML)
      1 perl(Capture::Tiny)
      1 perl(Carp)
      1 perl(Class::Tiny) >= 1.001
      1 perl(Config)
      1 perl(Cwd)
      1 perl(Digest::SHA)
      1 perl(Exporter)
      1 perl(ExtUtils::Config) >= 0.003
      1 perl(ExtUtils::Helpers) >= 0.020
      1 perl(ExtUtils::Install)
      1 perl(ExtUtils::InstallPaths) >= 0.002
      1 perl(ExtUtils::Manifest)
      1 perl(File::Basename)
      1 perl(File::Copy)
      1 perl(File::Find)
      1 perl(File::HomeDir)
      1 perl(File::Path)
      1 perl(File::Spec)
      1 perl(File::Spec::Functions)
      1 perl(File::Temp)
      1 perl(File::Which)
      1 perl(File::pushd)
      1 perl(Getopt::Long)
      1 perl(Getopt::Long) >= 2.36
      1 perl(HTTP::Tiny) >= 0.054
      1 perl(HTTP::Tinyish) >= 0.04
      1 perl(IO::Uncompress::Gunzip)
      1 perl(JSON::PP)
      1 perl(JSON::PP) >= 2
      1 perl(Menlo)
      1 perl(Menlo::CLI::Compat)
      1 perl(Menlo::Dependency)
      1 perl(Menlo::Util)
      1 perl(Module::CPANfile)
      1 perl(Module::CoreList)
      1 perl(Module::Metadata)
      1 perl(Module::Signature)
      1 perl(Parse::PMFile) >= 0.26
      1 perl(Pod::Man)
      1 perl(Safe)
      1 perl(String::ShellQuote)
      1 perl(Symbol)
      1 perl(TAP::Harness::Env)
      1 perl(Time::Local)
      1 perl(URI)
      1 perl(constant)
      1 perl(local::lib)
      1 perl(parent)
      1 perl(strict)
      1 perl(version)
      1 perl(version::vpp)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

Binary requires are almost ok.

$ rpm -qp --provides perl-Menlo-1.9001-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(Menlo) = 1.9001
      1 perl(Menlo::Builder::Static)
      1 perl(Menlo::CLI::Compat)
      1 perl(Menlo::Dependency)
      1 perl(Menlo::Index::MetaCPAN)
      1 perl(Menlo::Index::MetaDB) = 0.007
      1 perl(Menlo::Index::Mirror)
      1 perl(Menlo::Util)
      1 perl-Menlo = 1.9001-1.fc24

Binary provides are Ok.

$ rpmlint ./perl-Menlo*
perl-Menlo.src: W: spelling-error %description -l en_US cpanm -> panama
perl-Menlo.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
perl-Menlo.noarch: W: spelling-error %description -l en_US cpanm -> panama
perl-Menlo.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Rpmlint is ok

TODO: Please filter unversion perl(Getopt::Long) and perl(JSON::PP)

Please consider fixing 'TODO' item.

The package looks good.
Approved
Comment 2 Gwyn Ciesla 2015-12-14 10:53:19 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Menlo
Comment 3 Fedora Update System 2015-12-14 12:02:51 EST
perl-Menlo-1.9001-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4a43e4bc1c
Comment 4 Fedora Update System 2015-12-15 05:52:57 EST
perl-Menlo-1.9001-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Menlo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4a43e4bc1c
Comment 5 Fedora Update System 2015-12-22 17:03:58 EST
perl-Menlo-1.9001-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.